Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class DelegatingController

    java.lang.Object
      org.codehaus.groovy.classgen.asm.WriterController
          org.codehaus.groovy.classgen.asm.DelegatingController

    public class DelegatingController
    extends WriterController

This class will delegate all calls to a WriterController given in the constructor.

Authors:
  Jochen "blackdrag" Theodorou

Field Summary

Fields inherited from class WriterController
optimizeForInt

Constructor Summary
`DelegatingController(WriterController normalController)`

Method Summary
`AsmClassGenerator` | `getAcg()`
`AssertionWriter` | `getAssertionWriter()`
`BinaryExpressionHelper` | `getBinaryExpressionHelper()`
`CallSiteWriter` | `getCallSiteWriter()`
`java.lang.String` | `getClassName()`
`ClassNode` | `getClassNode()`
`org.objectweb.asm.ClassVisitor` | `getClassVisitor()`
`ClosureWriter` | `getClosureWriter()`
`CompileStack` | `getCompileStack()`
`ConstructorNode` | `getConstructorNode()`
`GeneratorContext` | `getContext()`
`org.objectweb.asm.ClassVisitor` | `getCv()`
`InterfaceHelperClassNode` | `getInterfaceClassLoadingClass()`
`java.lang.String` | `getInternalBaseClassName()`
`java.lang.String` | `getInternalClassName()`
`InvocationWriter` | `getInvocationWriter()`
`MethodNode` | `getMethodNode()`
`org.objectweb.asm.MethodVisitor` | `getMethodVisitor()`
`OperandStack` | `getOperandStack()`
`ClassNode` | `getOutermostClass()`
`ClassNode` | `getReturnType()`
`SourceUnit` | `getSourceUnit()`
`StatementWriter` | `getStatementWriter()`
`TypeChooser` | `getTypeChooser()`
`UnaryExpressionHelper` | `getUnaryExpressionHelper()`
`void` | `init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)`
`boolean` | `isConstructor()`
`boolean` | `isFastPath()`
`boolean` | `isInClosure()`
`boolean` | `isInClosureConstructor()`
`boolean` | `isInScriptBody()`
`boolean` | `isNotClinit()`
`boolean` | `isNotExplicitThisInClosure(boolean implicitThis)`
`boolean` | `isStaticConstructor()`
`boolean` | `isStaticContext()`
`boolean` | `isStaticMethod()`
`void` | `setConstructorNode(ConstructorNode cn)`
`void` | `setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)`
`void` | `setMethodNode(MethodNode mn)`
`void` | `setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)`
`boolean` | `shouldOptimizeForInt()`
`void` | `switchToFastPath()`
`void` | `switchToSlowPath()`

Methods inherited from class WriterController
getAcg, getAssertionWriter, getBinaryExpressionHelper, getBytecodeVersion, getCallSiteWriter, getClassName, getClassNode, getClassVisitor, getClosureWriter, getCompileStack, getConstructorNode, getContext, getCv, getInterfaceClassLoadingClass, getInternalBaseClassName, getInternalClassName, getInvocationWriter, getLineNumber, getMethodNode, getMethodVisitor, getOperandStack, getOutermostClass, getReturnType, getSourceUnit, getStatementWriter, getTypeChooser, getUnaryExpressionHelper, init, isConstructor, isFastPath, isInClosure, isInClosureConstructor, isInScriptBody, isNotClinit, isNotExplicitThisInClosure, isStaticConstructor, isStaticContext, isStaticMethod, resetLineNumber, setConstructorNode, setInterfaceClassLoadingClass, setLineNumber, setMethodNode, setMethodVisitor, shouldOptimizeForInt, switchToFastPath, switchToSlowPath

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DelegatingController

    public DelegatingController(WriterController normalController)

Method Detail

### getAcg

    @Override
    public AsmClassGenerator getAcg()

### getAssertionWriter

    @Override
    public AssertionWriter getAssertionWriter()

### getBinaryExpressionHelper

    @Override
    public BinaryExpressionHelper getBinaryExpressionHelper()

### getCallSiteWriter

    @Override
    public CallSiteWriter getCallSiteWriter()

### getClassName

    @Override
    public java.lang.String getClassName()

### getClassNode

    @Override
    public ClassNode getClassNode()

### getClassVisitor

    @Override
    public org.objectweb.asm.ClassVisitor getClassVisitor()

### getClosureWriter

    @Override
    public ClosureWriter getClosureWriter()

### getCompileStack

    @Override
    public CompileStack getCompileStack()

### getConstructorNode

    @Override
    public ConstructorNode getConstructorNode()

### getContext

    @Override
    public GeneratorContext getContext()

### getCv

    @Override
    public org.objectweb.asm.ClassVisitor getCv()

### getInterfaceClassLoadingClass

    @Override
    public InterfaceHelperClassNode getInterfaceClassLoadingClass()

### getInternalBaseClassName

    @Override
    public java.lang.String getInternalBaseClassName()

### getInternalClassName

    @Override
    public java.lang.String getInternalClassName()

### getInvocationWriter

    @Override
    public InvocationWriter getInvocationWriter()

### getMethodNode

    @Override
    public MethodNode getMethodNode()

### getMethodVisitor

    @Override
    public org.objectweb.asm.MethodVisitor getMethodVisitor()

### getOperandStack

    @Override
    public OperandStack getOperandStack()

### getOutermostClass

    @Override
    public ClassNode getOutermostClass()

### getReturnType

    @Override
    public ClassNode getReturnType()

### getSourceUnit

    @Override
    public SourceUnit getSourceUnit()

### getStatementWriter

    @Override
    public StatementWriter getStatementWriter()

### getTypeChooser

    @Override
    public TypeChooser getTypeChooser()

### getUnaryExpressionHelper

    @Override
    public UnaryExpressionHelper getUnaryExpressionHelper()

### init

    @Override
    public void init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

### isConstructor

    @Override
    public boolean isConstructor()

### isFastPath

    @Override
    public boolean isFastPath()

### isInClosure

    @Override
    public boolean isInClosure()

### isInClosureConstructor

    @Override
    public boolean isInClosureConstructor()

### isInScriptBody

    @Override
    public boolean isInScriptBody()

### isNotClinit

    @Override
    public boolean isNotClinit()

### isNotExplicitThisInClosure

    @Override
    public boolean isNotExplicitThisInClosure(boolean implicitThis)

### isStaticConstructor

    @Override
    public boolean isStaticConstructor()

### isStaticContext

    @Override
    public boolean isStaticContext()

### isStaticMethod

    @Override
    public boolean isStaticMethod()

### setConstructorNode

    @Override
    public void setConstructorNode(ConstructorNode cn)

### setInterfaceClassLoadingClass

    @Override
    public void setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)

### setMethodNode

    @Override
    public void setMethodNode(MethodNode mn)

### setMethodVisitor

    @Override
    public void setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)

### shouldOptimizeForInt

    @Override
    public boolean shouldOptimizeForInt()

### switchToFastPath

    @Override
    public void switchToFastPath()

### switchToSlowPath

    @Override
    public void switchToSlowPath()

Groovy Documentation